@font-face {
  font-family: 'gothic';
  src: url('../fonts/gothic.eot');
  src: local('gothic'), url('../fonts/gothic.woff') format('woff'), url('../fonts/gothic.ttf') format('truetype');
}

html {
  font-size: 100%;
  -ms-text-size-adjust:100%;
  -webkit-text-size-adjust:100%;
  cursor: default;
  background-color: black;
  color: white;
  -webkit-appearance: none;
  -moz-appearance: none;
  padding: 0;
  margin: 0;
  border: 0;
  overflow: hidden;
  text-align: center;
  font-family: "arial";
  font-weight: normal;
  font-style: normal;
  touch-action: none;
}

.hidden { display: none!important; }

.mobile-only { display: none; }

a {
  text-decoration: none;
  color: white;
}
.clickable {
  cursor: pointer;
  z-index: 10;
}

.fullview {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.middlescreen {
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  -moz-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  -o-transform: translate(0, -50%);
  -webkit-transform: translate(0, -50%);
}

/* z-indexes: splash on top of everything, then UI, then pano */
#splash { z-index: 100; }
#wrap   { z-index: 10; }
#pano   { z-index: 1; }

/* let mouse events bubble down to the pano */
#wrap   { pointer-events: none; }
#wrap * { pointer-events: auto; }

header {
  position: absolute;
  top: 5vh;
  left: 5vh;
  height: 10vh;
}
header h1 { margin: 0; }
header img, header h1 { height: 100%; }
header img { opacity: 0.8; }

footer {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 84px;
}
.round-btn {
  /*border: 2px white solid;
  border-radius: 50%;
  background-color: rgba(0, 94, 184, 0.8);*/
  background-position: right;
  background-repeat: no-repeat;
  background-size: auto 100%;
}
.round-btn:hover {
  background-position: left;
}
#credits-desktop, #credits-mobile {
  position: absolute;
  bottom: 14px;
  right: 28px;
  text-align: center;
  padding-bottom: 4px;
  font-size: 10px;
}
#controls-wrap {
  display: inline-flex;
  flex-wrap: wrap-reverse;
  overflow: hidden;
  position: absolute;
  left: 0;
  right: 0;
  top: 8px;
  width: 680px;
  height: 52px;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
}
@media only screen and (max-width: 960px) {
  #full, #toggle-hotspots { display: none; }
}
.control {
  height: 50px;
  width: 50px;
  margin-left: 5px;
  margin-right: 5px;
}

#preloadedImages
{
  width: 0px;
  height: 0px;
  background-image: url("../images/info-icon.png");
}


#left             { background-image: url("../images/left-icon.png"); }
#right            { background-image: url("../images/right-icon.png"); }
#up               { background-image: url("../images/up-icon.png"); }
#down             { background-image: url("../images/down-icon.png"); }
#in               { background-image: url("../images/in-icon.png"); }
#out              { background-image: url("../images/out-icon.png"); }
#full             { background-image: url("../images/full-icon.png"); }
#toggle-hotspots  { background-image: url("../images/slash.png");}
.popup a {
  color: rgb(255, 0, 0);
}
.popup {
  z-index: 100;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 94, 184, 0.8);
}
.popup-wrap {
  /*background-color: pink;*/
  display: flex;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  align-items: center;
  justify-content: center;
}
.popup-scrollable {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow-y: scroll;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.popup-content {
  /*padding-right: 8px;*/
  position: absolute;
  top: 60px;
  width: 84vw;
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
  font-size: 1em;
}
.popup-close-btn {
  position: absolute;
  right: 32px;
  top: 32px;
  width: 18px;
  height: 18px;
  background-image: url("../images/close-icon.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.popup-title { font-size: 1em; }
.popup-content figure {margin: 0; }
.popup-content figure img {
  display: block;
  width: 100%;
  transition: .2s ease;
}
.popup-content figure div { background-color: rgba(0, 94, 184, 1.0); }
.popup-content figure img:hover { opacity: 0.4; }
.popup-content figure figcaption { margin-top: 8px; }
.popup-content h2 { text-align: center; }

.hotspot-grid {
  width: 100%;
  display: grid;
  grid-template-columns: 2fr 1fr;
}

/* width */
::-webkit-scrollbar {
  width: 6px;
}

/* Track */
::-webkit-scrollbar-track {
  background:rgba(0, 94, 184, 0.8);
  border: solid 3px transparent;
  border-radius: 6px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.8);
  border: solid 3px transparent;
  border-radius: 6px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: rgba(255, 255, 255, 1.0);
}

#hotspot-grid-1,
#hotspot-grid-2,
#hotspot-grid-18,
#hotspot-grid-22 { grid-template-columns: 1fr!important; }
